;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;									       ;;
;; 				     SendMSG 				       ;;
;; 				     =======				       ;;
;;  +++ Kurznachrichten auf Windows als Popup senden +++ mit MSG aufrufen +++  ;;
;;									       ;;
;;   !!!Fr dieses Tool muss der Windows Nachrichtendienst aktiviert sein!!!   ;;
;;  !!!Zur Konfiguration und einwandfreiem Betrieb, bitte readme.txt Lesen!!!  ;;
;;									       ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Programm:	   SendMSG						       ;;
;; Version:	   0.32							       ;;
;; Verffentlicht: Mrz 2005						       ;;
;; Lizenz:	   Freeware						       ;;
;; Autor:	   Ren Melcer					               ;;
;; Kontakt:	   melcer@gmx.ch				               ;;
;; Dateien:	   sendmsg.lsp, acben.dat, readme.txt			       ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Der Autor bernimmt keine Haftung fr irgendwelchen Schden die durch       ;;
;; dieses Programm direkt oder indirekt verursacht werden.		       ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun c:msg ()
;; ->Weiter unten den Pfad eingeben (Bsp. PFAD "N:/acad-tool/share/files/"), fr
;;   das speichern  der Benutzerliste (acben.dat), alle Benutzer mssen darauf
;;   Zugriff haben.
;; ->In der Datei acben.dat werden die Benutzer gespeichert, diese muss in den
;;   oben erwhnten Pfad kopiert sein damit das Programm funktioniert.

  (setq PFAD "H:/"
	DATEI (strcat PFAD "acben.dat")
  )
  (listben DATEI)
  (regben BENUTZER DATEI)
  (listben DATEI)
  (send BENUTZER)
)
(defun send (BENUTZER)
  (setq Z 1)
  (foreach USER BENUTZER
    (if (/= USER nil)
      (progn
	(princ (strcat "\n" (itoa Z) ": " USER))
	(setq Z (1+ Z))
      )
    )
  )
  (princ (strcat "\n" (itoa Z) ": alle Personen"))
  (textscr)
  (setq MENU (getint "\nWhle eine Person (Nr.): ")
  	NACHRICHT (getstring T "Nachricht eingeben: ")
	Y 1
  )
  (if (or (> MENU Z) (= MENU nil))
    (progn
      (princ "\nUngltige Eingabe der Person!")
      (graphscr)
      (quit)
    )
  )
  (graphscr)
  (foreach USER BENUTZER
    (if (and (= MENU Y) (/= MENU Z))
      (progn
        (command "shell" (strcat "net send " USER " " NACHRICHT))
        (princ (strcat "\nNachricht an " USER " versendet."))
      )
    )
    (if (and (= MENU Z) (/= Z Y))
      (progn
        (command "shell" (strcat "net send " USER " " NACHRICHT))
        (princ (strcat "\nNachricht an " USER " versendet."))
      )
    )
    (setq Y (1+ Y))
  )
  (princ)
)
(defun listben(DATEI)
  (setq	ACBEN (open DATEI "r")
	LOGBEN (read-line ACBEN)
	BENUTZER (list LOGBEN)
  )
  (while (/= LOGBEN nil)
    (setq LOGBEN (read-line ACBEN)
	  BENUTZER (append BENUTZER (list LOGBEN))
    )
  )
  (close ACBEN)
 )
(defun regben (BENUTZER DATEI)
  (setq ACBEN (open DATEI "w")
	NAME (getvar "LOGINNAME")
	EXIST nil
  )
  (foreach USER BENUTZER
    (if (/= USER nil)
      (princ (strcat USER "\n") ACBEN)
    )
    (if (= USER NAME)
      (setq EXIST T)
    )
  )
  (if (/= EXIST T)
    (progn
      (princ (strcat NAME "\n") ACBEN)
      (princ (strcat "\n" NAME ":neu in Liste eingetragen."))
    )
  )
  (close ACBEN)
)
(princ "\nSendMSG\n========\nKurznachrichten auf Windows als Popup senden\n(A) 2005 Ren Melcer =:-)\n -> mit MSG aufrufen\n")
(princ)

;; ENDE-FIN-END
